Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002277KdenliveMLTpublic2011-08-07 16:012011-11-01 18:56
ReporterGranjow 
Assigned Tottill 
PriorityurgentSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionRecent git 
Target VersionFixed in Version0.8.2 
Summary0002277: Segfault when starting kdenlive
DescriptionThis is in the current SVN. frei0r, MLT, and kdenlive all up-to-date on make clean && make.
Additional InformationApplication: Kdenlive (kdenlive), signal: Segmentation fault
[KCrash Handler]
0000006 mlt_properties_get_value (self=0x0, index=0) at mlt_properties.c:781
0000007 0x00007f4757ff55c5 in Mlt::Properties::get(int) () from /usr/lib/libmlt++.so.3
0000008 0x0000000000575ab7 in initEffects::createDescriptionFromMlt (repository=<value optimized out>, filtername=<value optimized out>) at /data/cworkspace/kdenlive/src/initeffects.cpp:503
0000009 0x0000000000581368 in initEffects::parseEffectFiles () at /data/cworkspace/kdenlive/src/initeffects.cpp:228
0000010 0x0000000000481d99 in MainWindow::MainWindow (this=0x1172480, MltPath=<value optimized out>, Url=..., clipsToLoad=..., parent=<value optimized out>, __in_chrg=<value optimized out>, __vtt_parm=<value optimized out>) at /data/cworkspace/kdenlive/src/mainwindow.cpp:182
0000011 0x0000000000452893 in main (argc=1, argv=0x7fffe5214188) at /data/cworkspace/kdenlive/src/main.cpp:84
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files

- Relationships

-  Notes
(0007147)
Granjow (developer)
2011-08-07 16:23

Fixed when switching back to MLT's 0.7.4 tag
(0007150)
stelvio.p (reporter)
2011-08-08 09:32

Same happens here, kdenlive build from build script on debian sid 64 updated.

Backtrace
=========

Application: kdenlive (0.8.1 (rev. 5823))
KDE Platform Version: 4.6.5 (4.6.5)
Qt Version: 4.7.3
Operating System: Linux 3.0.0-1-amd64 x86_64
Distribution: Debian GNU/Linux unstable (sid)

-- Information about the crash:
<In detail, tell us what you were doing when the application crashed.>

The crash can be reproduced every time.

-- Backtrace:
Application: Kdenlive (kdenlive), signal: Segmentation fault
[Current thread is 1 (Thread 0x7fdecd428780 (LWP 7779))]

Thread 2 (Thread 0x7fdebce23700 (LWP 7780)):
#0 0x00007fdec69e6723 in poll () from /lib/x86_64-linux-gnu/libc.so.6
#1 0x00007fdec5b039e4 in ?? () from /lib/libglib-2.0.so.0
0000002 0x00007fdec5b042f2 in g_main_loop_run () from /lib/libglib-2.0.so.0
0000003 0x00007fdebd56f9d4 in ?? () from /usr/lib/libgio-2.0.so.0
0000004 0x00007fdec5b2acf6 in ?? () from /lib/libglib-2.0.so.0
0000005 0x00007fdecae7db40 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
0000006 0x00007fdec69f136d in clone () from /lib/x86_64-linux-gnu/libc.so.6
0000007 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fdecd428780 (LWP 7779)):
[KCrash Handler]
0000004 0x00007fdecd040184 in mlt_properties_get_value (self=0x0, index=0) at mlt_properties.c:781
0000005 0x00007fdecce265e5 in Mlt::Properties::get(int) () from /home/user/kdenlive/20110808/./lib/libmlt++.so.3
0000006 0x0000000000589ed0 in initEffects::createDescriptionFromMlt (repository=0x1d7ece0, filtername=...) at /home/user/kdenlive/src/kdenlive/src/initeffects.cpp:503
0000007 0x00000000005872ac in initEffects::parseEffectFiles () at /home/user/kdenlive/src/kdenlive/src/initeffects.cpp:228
0000008 0x000000000046941d in MainWindow::MainWindow (this=0x1d7d6e0, MltPath=..., Url=..., clipsToLoad=..., parent=0x0, __in_chrg=<value optimized out>, __vtt_parm=<value optimized out>) at /home/user/kdenlive/src/kdenlive/src/mainwindow.cpp:182
0000009 0x0000000000463aa3 in main (argc=1, argv=0x7fff88ce0178) at /home/user/kdenlive/src/kdenlive/src/main.cpp:84

Report to http://kdenlive.org/mantis [^]
(0007151)
nyme (reporter)
2011-08-09 10:59

hi,

i have also a crash at startup with sunab ubuntu version up to date


here is the debug :

Application: Kdenlive (kdenlive), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f831cb0c780 (LWP 2167))]

Thread 2 (Thread 0x7f830dc48700 (LWP 2168)):
#0 0x00007f8316bcb203 in poll () from /lib/libc.so.6
#1 0x00007f8315ce7009 in ?? () from /lib/libglib-2.0.so.0
0000002 0x00007f8315ce77b5 in g_main_loop_run () from /lib/libglib-2.0.so.0
0000003 0x00007f830e37f3c4 in ?? () from /usr/lib/libgio-2.0.so.0
0000004 0x00007f8315d0c7e4 in ?? () from /lib/libglib-2.0.so.0
0000005 0x00007f831a5d6971 in start_thread () from /lib/libpthread.so.0
0000006 0x00007f8316bd792d in clone () from /lib/libc.so.6
0000007 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f831cb0c780 (LWP 2167)):
[KCrash Handler]
0000006 0x00007f831c7182e2 in mlt_properties_get_value () from /usr/lib/libmlt.so.4
0000007 0x0000000000599b4a in initEffects::createDescriptionFromMlt (repository=<value optimized out>, filtername=<value optimized out>) at /build/buildd/kdenlive-0.8.1+svn20110803.r5823/src/initeffects.cpp:503
0000008 0x000000000059b30d in initEffects::parseEffectFiles () at /build/buildd/kdenlive-0.8.1+svn20110803.r5823/src/initeffects.cpp:228
0000009 0x000000000047869a in MainWindow::MainWindow (this=0x283e960, MltPath=<value optimized out>, Url=<value optimized out>, clipsToLoad=<value optimized out>, parent=<value optimized out>, __in_chrg=<value optimized out>, __vtt_parm=<value optimized out>) at /build/buildd/kdenlive-0.8.1+svn20110803.r5823/src/mainwindow.cpp:182
0000010 0x000000000045976a in main (argc=<value optimized out>, argv=<value optimized out>) at /build/buildd/kdenlive-0.8.1+svn20110803.r5823/src/main.cpp:84
(0007153)
ttill (developer)
2011-08-09 15:40

I just send a patch to mlt-devel fixing this issue.
(0007162)
ttill (developer)
2011-08-10 10:10

Fixed in MLT commit cfde165.

- Issue History
Date Modified Username Field Change
2011-08-07 16:01 Granjow New Issue
2011-08-07 16:23 Granjow Note Added: 0007147
2011-08-07 16:23 Granjow Category User Interface => MLT
2011-08-08 09:32 stelvio.p Note Added: 0007150
2011-08-09 10:59 nyme Note Added: 0007151
2011-08-09 13:13 ttill Assigned To => ttill
2011-08-09 13:13 ttill Status new => assigned
2011-08-09 15:40 ttill Note Added: 0007153
2011-08-10 10:10 ttill Note Added: 0007162
2011-08-10 10:10 ttill Status assigned => resolved
2011-08-10 10:10 ttill Fixed in Version => 0.8.2
2011-08-10 10:10 ttill Resolution open => fixed
2011-11-01 18:56 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker